Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Class AbleTypedVariableStringField

    java.lang.Object
      com.ibm.able.data.AbleLhs
          com.ibm.able.data.AbleTypedVariableField
              com.ibm.able.data.AbleTypedVariableStringField

All Implemented Interfaces:
  AbleClearable, AbleRd, AbleWr, java.io.Serializable

public class AbleTypedVariableStringField
extends AbleTypedVariableField

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.data.AbleTypedVariableField
`myDataType, myField, myFieldName, myGetDirectFlag, myGetMethod, mySetDirectFlag, mySetMethod, myTypedVariable`

Constructor Summary
`AbleTypedVariableStringField(AbleTypedVariable theTypedVariable, AbleTypedVariableField theField)`
`AbleTypedVariableStringField(AbleTypedVariable theTypedVariable, java.lang.reflect.Field theField, boolean theGetDirectFlag, java.lang.reflect.Method theGetMethod, boolean theSetDirectFlag, java.lang.reflect.Method theSetMethod)`
`AbleTypedVariableStringField(AbleTypedVariable theTypedVariable, java.lang.String theFieldName)` Create a new variable field reference object.

Method Summary
`boolean` | `cmpEq(AbleRd theRhs)` Comparison, equal to: compare the current value of this data object to the current value of theRhs.

Methods inherited from class com.ibm.able.data.AbleTypedVariableField
`arlCRdString, arlDclString, asgnEq, asgnIs, asgnIs, bitwiseAND, bitwiseNOT, bitwiseOR, bitwiseShiftLeft, bitwiseShiftRight, bitwiseShiftRightZeroFill, bitwiseXOR, clear, clear, cmpGt, cmpGtEq, cmpLt, cmpLtEq, cmpNeq, compDivide, compMinus, compModulo, compMultiply, compPlus, equals, getBooleanValue, getDataType, getDataTypeClass, getDataTypeClassName, getFieldName, getFieldValue, getFuzzyValue, getGenericValue, getNumericValue, getReferent, getReferents, getStringValue, getTemplateString, getTypedVariable, getTypedVariableClass, getValue, getVariable, hashCode, isReadable, isWritable, logicalAND, logicalNOT, logicalOR, setBooleanValue, setField, setFuzzyValue, setGenericValue, setGetMethod, setNumericValue, setSetMethod, setStringValue, setValue, toString, traceString, xmlCRdString, xmlCWrString, xmlDclString`

Methods inherited from class com.ibm.able.data.AbleLhs
`cmpIs, compUnaryMinus, isConstant`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleTypedVariableStringField

    public AbleTypedVariableStringField(AbleTypedVariable theTypedVariable,
                                        java.lang.reflect.Field theField,
                                        boolean theGetDirectFlag,
                                        java.lang.reflect.Method theGetMethod,
                                        boolean theSetDirectFlag,
                                        java.lang.reflect.Method theSetMethod)

Parameters:
  `theTypedVariable` -
  `theField` -
  `theGetDirectFlag` -
  `theGetMethod` -
  `theSetDirectFlag` -
  `theSetMethod` -

### AbleTypedVariableStringField

    public AbleTypedVariableStringField(AbleTypedVariable theTypedVariable,
                                        AbleTypedVariableField theField)

Parameters:
  `theTypedVariable` -
  `theField` -

### AbleTypedVariableStringField

    public AbleTypedVariableStringField(AbleTypedVariable theTypedVariable,
                                        java.lang.String theFieldName)
                                 throws AbleParException

  Create a new variable field reference object.

Parameters:
  `theTypedVariable` - A typed variable that contains the following field.

  `theFieldName` - A specific field within the above typed variable.

Method Detail

### cmpEq

    public boolean cmpEq(AbleRd theRhs)
                  throws AbleDataException

  Comparison, equal to: compare the current value of this data object to the current value of theRhs.

  "==" is used for numeric and boolean compares; equals() is used for Object compares; and equals() is used for String compares.

  Specified by:
    `cmpEq` in interface `AbleRd`
  Overrides:
    `cmpEq` in class `AbleTypedVariableField`
  Parameters:
    `theRhs` - The right-hand side of the comparison.

  Returns:
    true, if this data object is equal to theRhs; false, otherwise.
  Throws:
    `AbleDataException` - If the right-hand side cannot be converted (if necessary) and compared to this data object.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005